/*
** Module   : file_system_helper_win.c
** Abstract : implementation for detection of simbolic links, non-FIFO pipes and special devices.
**            This is used by filelys.c
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 EVL 20130329 Created initial version to implement Windows specifics for file system
**                  operations.
*/
#include "filesys.h"

/**
* Utility method to check the type of the given file. Windows version.
* There are 4 main types a file can be: Directory , File , Device and Unknown.
* In addition to the 4 main types there are 3 additive stats (they can be 
* added to the main type. For example: FH -> File hidden, DL -> Directory link.
* In some cases the additive status can only be added to a specific main type.
* Ex: the Progress behaviour for hidden attribute -> only hidden file are 
* marked as hidden, hidden directories are only marked as directory.
*
* @param  env 
*         pointer to a structure that provides access to JNI environment
* @param  jc 
*         reference to the Java class who called this function
*         (from static context)
* @param  fname 
*         The file name to be checked passed from FileChecker.checkFileType()
*
* @return A wrapped integer representing the status code of the file.
*/
JNIEXPORT jint JNICALL checkFileType(JNIEnv *env, jclass jc, jstring fname) 
{
   int status = UNKNOWN;

   return status; 
}

