/*
** Module   : process_helper_win.c
** Abstract : implementation for process creation/waiting logic in p2j.dll native library which
**            is called via JNI
**            This is used by process.c
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 EVL 20130329 Created initial version to implement Windows specifics for file system
**                  operations.
*/

#include "process.h" 

/**
 * init - Windows version of set up signal handling to ignore job control signals
 *        (reflecteds in the child process as well)
 *
 * @param   env   pointer to an object providing access to JNI environment
 *
 * @param   cls   reference to the Java class who called this function
 *                (from static context)
 *
 */ 
JNIEXPORT void JNICALL init(JNIEnv* env, jclass class)
{
   // TODO: Implementation
}

/**
 * pseudoTerminalLaunch - Windows version of spawning a child process redirecting its standard
 *                        input, output and error to particular file descriptors
 *                        (FileDescriptor Java instances) 
 *      
 *
 * @param   env       pointer to a structure that provides access to JNI
 *                    environment
 *
 * @param   cls       reference to the Java class who called this function
 *                    (from static context)
 *
 * @param   cmdline   the command line used for launching the child process  
 *
 * @param   in        FileDescriptor Java object for stdin
 *
 * @param   out       FileDescriptor Java object for stdout
 *
 * @param   err       FileDescriptor Java object for stderr
 *
 *
 * @param   silent  boolean flag controlling interactive mode
 *
 * @return  > 1  PID of spawned child process if successful
 *          < 0  on error
 */ 

JNIEXPORT jint JNICALL
   pseudoTerminalLaunch(JNIEnv* env, jclass cls, jobjectArray cmdline, jobject in,
                        jobject out, jobject err, jboolean silent)
{
   jint pid = 0;

   // TODO: Implementation

   return pid;
}

/**
 * pseudoTerminalWait - The Windows version of waits for a child process to terminate. 
 *
 * @param   env     pointer to a structure that provides access to JNI environment
 *
 * @param   cls     reference to the Java class who called this function from
 *                  a static context
 *
 * @param   pid     PID of the process to be waited
 *
 * @param   silent  boolean flag to control interactive mode
 *
 */ 
JNIEXPORT void JNICALL pseudoTerminalWait(JNIEnv* env, jclass cls, jint pid, jboolean silent)
{
   // TODO: Implementation
}


